Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkGlyph2D Class Reference

`#include <vtkGlyph2D.h>`

Inheritance diagram for vtkGlyph2D:

[legend]
Collaboration diagram for vtkGlyph2D:

[legend]
List of all members.

## Detailed Description

copy oriented and scaled glyph geometry to every input point (2D specialization)

Date:
  2002/01/22 15:29:22

Revision:
  1.7

This subclass of vtkGlyph3D is a specialization to 2D. Transformations (i.e., translation, scaling, and rotation) are constrained to the plane. For example, rotations due to a vector are computed from the x-y coordinates of the vector only, and are assumed to occur around the z-axis. (See vtkGlyph3D for documentation on the interface to this class.)

See also:
  vtkTensorGlyph vtkGlyph3D vtkProgrammableGlyphFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (78%)
  - Geveci, Berk (13%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkGlyph2D.cxx)`
  - .`h` (`/Graphics/vtkGlyph2D.h)`

Tests:
  vtkGlyph2D (Tests)

Definition at line 52 of file vtkGlyph2D.h.

## Public Types
typedef vtkGlyph3D | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkGlyph2D * | SafeDownCast (vtkObject *o)
vtkGlyph2D * | New ()
## Protected Methods
| vtkGlyph2D ()
| ~vtkGlyph2D ()
void | Execute ()

## Member Typedef Documentation

typedef vtkGlyph3D vtkGlyph2D::Superclass

| Reimplemented from vtkGlyph3D. Definition at line 55 of file vtkGlyph2D.h.

## Constructor & Destructor Documentation

vtkGlyph2D::vtkGlyph2D | ( |  | ) | `[inline, protected]`

| Definition at line 65 of file vtkGlyph2D.h.

vtkGlyph2D::~vtkGlyph2D | ( |  | ) | `[inline, protected]`

| Definition at line 66 of file vtkGlyph2D.h.

## Member Function Documentation

virtual const char* vtkGlyph2D::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkGlyph3D.

int vtkGlyph2D::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkGlyph3D.

virtual int vtkGlyph2D::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkGlyph3D.

vtkGlyph2D* vtkGlyph2D::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkGlyph3D.

void vtkGlyph2D::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkGlyph3D.

vtkGlyph2D* vtkGlyph2D::New | ( |  | ) | `[static]`

| Construct object with scaling on, scaling mode is by scalar value, scale factor = 1.0, the range is (0,1), orient geometry is on, and orientation is by vector. Clamping and indexing are turned off. No initial sources are defined. Reimplemented from vtkGlyph3D.

void vtkGlyph2D::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkGlyph3D.

The documentation for this class was generated from the following file:

- Graphics/vtkGlyph2D.h